/*)LIBRARY
*/
/*
 * P$MUNPK - Unpack menu buffer
 *
 * Restricted access: handles only one field, thus requires
 * multiple calls.  Also, doesn't support both 'DFLT' and 'KEYWnn'
 * fields in the same call.
 */
extern munpk();

p$munpk(fid, buf, maxl, keyw, p1, p2, stat)
char *fid;                             /* Field ID */
char *buf;                             /* Field 'value' buffer */
int maxl;                              /* Value buffer size */
char *keyw;                            /* "DFLT" or "KEYWnn" */
int *p1, *p2;                          /* Parameter(s) for above */
int stat[2];                           /* 2-word status */
   {
   int fidl, keyl, bufl;

   fidl = strlen(fid);
   keyl = strlen(keyw);

   call(munpk, 10, stat, fid, &fidl, buf, &maxl, &bufl, keyw, &keyl, p1, p2);
   buf[bufl] = '\0';
   return(stat[0]);
   }

